//**************************************************************************
//
// Copyright (c) 1997-1999.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Authors: James P. Cohoon and Jack W. Davidson
// Date: 7/1/98
// $Revision: 1.2 $
// $Name: E2 $
//
//**************************************************************************

#include "response.h"
// Response(): default constructor
Response::Response(int r, int y, int g) {
	SetRed(r);
	SetYellow(y);
	SetGreen(g);
}

// GetRed():  get number of reds
int Response::GetRed() const {
	return Counts.GetX();
}

// GetYellow(): get number of yellows
int Response::GetYellow() const {
	return Counts.GetY();
}

// GetGreen(): get number of greens
int Response::GetGreen() const {
	return Counts.GetZ();
}

// SetRed(): set number of reds
void Response::SetRed(int r) {
	Counts.SetX(r);
}

// SetYellow(): set number of yellows
void Response::SetYellow(int y) {
	Counts.SetY(y);
}

// SetGreen(): set number of greens
void Response::SetGreen(int g) {
	Counts.SetZ(g);
}


