//**************************************************************************
//
// Copyright (c) 1997-1999.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Authors: James P. Cohoon and Jack W. Davidson
// Date: 7/1/98
// $Revision: 1.1 $
// $Name: E2 $
//
//**************************************************************************

// Detects and reports duplicate strings 
// in input 
#include <iostream>
#include <string>
using namespace std;
int main() {
	// prepare for string processing of duplicates
	string prev = "";
	string s;
	int count = 0;
	cout << "Enter text for duplication detection"
	<< endl << endl;
	// extract and process strings
	while (cin >> s) {
		// process current string s 
		if (s == prev) { // s is a duplicate
			++count;
		}
		else { // s is not a duplicate
			if (count > 1) {
				// previous duplicate run needs to be
				// reported
				cout << "\"" << prev << "\" occurs " << count
				<< " times in a row" << endl;
			}
			// s is a run of size 1 so far
			prev = s;
			count = 1;
		}
	}
	// finish up string processing of duplicates
	if (count > 1) {
		// text ended with a string of duplicates
		cout << "\"" << prev << "\" occurs " << count
		<< " times in a row" << endl;
	}
	return 0;
}



